Reply
New Contributor
Posts: 3
Registered: ‎11-17-2016

Docker images

I want to run Cloudera using a Docker image (specifically, the cloudera/quickstart image).

However, on Docker Hub I can only find beta versions:

https://hub.docker.com/r/cloudera/quickstart/tags/

 

What's the correct way of getting a more up-to-date image?

Should I just download a beta image and then install parcels? Would I do that using Docker Compose? If so, can I find instructions for that online?

Or is there a completely different way to solve this?

New Contributor
Posts: 1
Registered: ‎02-27-2014

Re: Docker images

Have you tried running this:
docker pull cloudera/quickstart:latest

More info here: http://www.cloudera.com/documentation/enterprise/latest/topics/quickstart_docker_container.html#clou...

I hope this helps!
New Contributor
Posts: 3
Registered: ‎11-17-2016

Re: Docker images

Yes I have. But cloudera/quickstart:latest currently seems to point to version 5.7.0-0-beta, so I still have no stable version here...

Posts: 985
Kudos: 115
Solutions: 62
Registered: ‎04-06-2015

Re: Docker images

Have you downloaded the Quickstart VM for Docker here



Cy Jervis, Community Manager


Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.

Learn more about the Cloudera Community:

Terms of Service

Community Guidelines

How to use the forum

Highlighted
New Contributor
Posts: 3
Registered: ‎11-17-2016

Re: Docker images

No, I used the quickstart image instead of the clusterdock for 2 reasons:

- it seems to be sufficient for my needs

- our non-docker environment is 5.7 and we don't want to upgrade to 5.8 yet, and cloudera clusterdock seems to be available for 5.8 only

 

Anyway, even when I download the images from the link you gave, the questions still remain how to work without the Cloudera manager GUI:

 

- how do I perform a parcel update here using some docker mechanism (dockerfile or docker-compose) and not the GUI?

- how do I install new services (e.g. flume)?